<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Enter Password</title>
    <style>
    body {
        background-color: #DAF7A6;
        }
    </style>
</head>
<body>
    <script>
        function handleResponse(response) {
            console.log(response)
            if (response.statusCode === 200){
                redirectURL = response.body.replace(/['"]+/g, '');
                console.log(redirectURL);
                window.location.replace(redirectURL);
            } else {
                var responsep = document.getElementById('response');
                responsep.textContent = response.body
            }
        }
        function callAPI(file_name, pwd) {

            var responsep = document.getElementById('response');

            var myHeaders = new Headers();
            myHeaders.append("Content-Type", "application/json");
            var raw = JSON.stringify({"filename":file_name,"password":pwd, "authenticate":true});
            var requestOptions = {
                method: 'POST',
                headers: myHeaders,
                body: raw,
                redirect: 'follow'
            };
            fetch("https://ubh16tmu3m.execute-api.us-east-2.amazonaws.com/dev", requestOptions)
            .then(response => response.text())
            .then(result =>  handleResponse(JSON.parse(result)))
            .catch(error => console.log('error', error));
        }
    </script>

    <form>
        <label>Please enter following to access file.</label><br>
        <label>File Name:</label>
        <input type="text" id="file_name"><br>
        <label>Password:</label>
        <input type="password" id="pwd"><br>
        <button type="button" onclick="callAPI(document.getElementById('file_name').value, document.getElementById('pwd').value)">Download</button><br>
        <div id="response"></div><br>
    </form>
</body>
</html>
